> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial Update

> Perform operations on the User resource.



## OpenAPI

````yaml api-reference/openapi.yaml patch /api/v1/users/{id}/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/users/{id}/:
    patch:
      tags:
        - Users
      summary: Partial Update
      description: Perform operations on the User resource.
      operationId: users_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this user.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedUser'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedUser:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        organization_members:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationMember'
        pending_invitations:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationInvitation'
          readOnly: true
        last_login:
          type: string
          format: date-time
          nullable: true
        is_active:
          type: boolean
          title: Active
          description: >-
            Designates whether this user should be treated as active. Unselect
            this instead of deleting accounts.
        date_joined:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
        user_permissions:
          type: array
          items:
            type: integer
          description: Specific permissions for this user.
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - email
        - full_name
        - id
    OrganizationMember:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        first_name:
          type: string
          readOnly: true
        last_name:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          readOnly: true
      required:
        - email
        - first_name
        - id
        - last_name
    OrganizationInvitation:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        token:
          type: string
          format: uuid
          readOnly: true
          description: Token is used to validate the invitation.
        expiry_date:
          type: string
          format: date-time
          readOnly: true
          description: Date is calculated in save().
        status:
          allOf:
            - $ref: '#/components/schemas/OrganizationInvitationStatusEnum'
          description: |-
            Status of the invitation, default status is pending.

            * `0` - pending
            * `1` - accepted
            * `2` - cancelled
            * `3` - expired
            * `4` - revoked
          minimum: -2147483648
          maximum: 2147483647
        organization:
          allOf:
            - $ref: '#/components/schemas/Organization'
          readOnly: true
        organization_id:
          type: string
          format: uuid
          writeOnly: true
        inviter_member:
          allOf:
            - $ref: '#/components/schemas/OrganizationMember'
          readOnly: true
        email:
          type: string
          format: email
          title: Email address
          description: Invitee's email address.
          maxLength: 255
        first_name:
          type: string
          nullable: true
          description: Invitee's first name.
          maxLength: 25
        last_name:
          type: string
          nullable: true
          description: Invitee's last name.
          maxLength: 25
        email_sent:
          type: boolean
          readOnly: true
        role:
          allOf:
            - $ref: '#/components/schemas/RoleEnum'
          description: |-
            Invitee's role, default role is member.

            * `0` - member
            * `1` - collaborator
            * `2` - administrator
          minimum: -2147483648
          maximum: 2147483647
        accessible_portfolios:
          type: array
          items:
            $ref: '#/components/schemas/Portfolio'
          readOnly: true
        accessible_portfolio_ids:
          type: array
          items:
            type: string
            format: uuid
          writeOnly: true
      required:
        - accessible_portfolios
        - email
        - email_sent
        - expiry_date
        - id
        - inviter_member
        - organization
        - organization_id
        - token
    OrganizationInvitationStatusEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
      type: integer
      description: |-
        * `0` - pending
        * `1` - accepted
        * `2` - cancelled
        * `3` - expired
        * `4` - revoked
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - id
    RoleEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - member
        * `1` - collaborator
        * `2` - administrator
    Portfolio:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
      required:
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````